Subject: bug#20681: closed (Re: bug#20681: Build failure [MSYS2/MINGW64, OSX])

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 29 May 2015 19:46:03 +0000

Your bug report

#20681: Build failure [MSYS2/MINGW64, OSX]

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
20681: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=20681
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#20681: Build failure [MSYS2/MINGW64, OSX]
From: Paul Eggert <[email-masked]>
To: Andreas Grünbacher<[email-masked]>
Cc: Eli Zaretskii <[email-masked]>, [email-masked], Angelo Graziosi <[email-masked]>
Date: Fri, 29 May 2015 12:45:12 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 05/29/2015 12:09 PM, Andreas Grünbacher wrote:
> 2015-05-29 18:56 GMT+02:00 Paul Eggert <[email-masked]>:
>> Andreas, this build failure in GNU Emacs appears to be due to the recent
>> changes to the ACL code in Gnulib.  Can you please take a look at it soon?
> I hope that's all fixed now.
>
> Thanks,
> Andreas

Thanks for the quick fix.  I merged this into the Emacs master as 
commit  and am marking this bug as done again.  From the Emacs point of 
view this should also fix build problems on Solaris and Cygwin.

Subject: Build failure [MSYS2/MINGW64, OSX]
From: Angelo Graziosi <[email-masked]>
To: [email-masked]
Date: Thu, 28 May 2015 14:55:50 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

The build I tried with current master failed. This occurs in the 
nextstep build on OSX and also in the MSYS2/MINGW64 on Windows. The same 
master builds fine in the GTK build on GNU/Linux (but here there are 
other issues; see bug #20677).

The failure looks the same.

On OSX:

[...]
   GEN      dirent.h
   GEN      fcntl.h
/Applications/Xcode.app/Contents/Developer/usr/bin/make  all-am
   CC       acl-errno-valid.o
   CC       acl-internal.o
   CC       get-permissions.o
   CC       set-permissions.o
set-permissions.c:569:20: warning: incompatible pointer to integer 
conversion passing 'acl_t' (aka 'struct _acl *') to parameter of type 
'int' [-Wint-conversion]
           acl = acl_init (acl);
                           ^~~
/usr/include/sys/acl.h:149:27: note: passing argument to parameter 
'count' here
extern acl_t    acl_init(int count);
                              ^
set-permissions.c:585:26: error: use of undeclared identifier 'acl'
         ret = acl_set_fd (desc, acl);
                                 ^
set-permissions.c:587:47: error: use of undeclared identifier 'acl'
         ret = acl_set_file (name, ACL_TYPE_EXTENDED, acl);
                                                      ^
set-permissions.c:590:27: error: use of undeclared identifier 'saved_errno'
           if (! acl_errno_valid (saved_errno) && ! 
acl_extended_nontrivial (acl))
                                  ^
set-permissions.c:590:70: error: use of undeclared identifier 'acl'
           if (! acl_errno_valid (saved_errno) && ! 
acl_extended_nontrivial (acl))
 
      ^
1 warning and 4 errors generated.
make[2]: *** [set-permissions.o] Error 1
make[1]: *** [all] Error 2
make: *** [lib] Error 2
make: *** Waiting for unfinished jobs....
/Applications/Xcode.app/Contents/Developer/usr/bin/make -C doc/emacs info
   GEN      ../../info/emacs.info
/Applications/Xcode.app/Contents/Developer/usr/bin/make -C doc/misc info
   GEN      ../../info/ada-mode.info
   GEN      ../../info/auth.info
   GEN      ../../info/autotype.info
[...]
   GEN      ../../info/widget.info
   GEN      ../../info/wisent.info
   GEN      ../../info/woman.info
   GEN      ../../info/efaq-w32.info

On Windows (MSYS2/MINGW64):

[...]
   CC       acl-errno-valid.o
   CC       acl-internal.o
   CCLD     cmdproxy.exe
   CC       get-permissions.o
   CCLD     ddeclient.exe
   CC       set-permissions.o
set-permissions.c: In function 'set_acls':
set-permissions.c:496:7: error: #error Must have acl_delete_def_file 
(see POSIX 1003.1e draft 17).
  #     error Must have acl_delete_def_file (see POSIX 1003.1e draft 17).
        ^
set-permissions.c:534:7: warning: implicit declaration of function 
'acl_delete_def_file' [-Wimplicit-function-declaration]
        ret = acl_delete_def_file (name);
        ^
Makefile:1627: set di istruzioni per l'obiettivo "set-permissions.o" non 
riuscito
make[2]: *** [set-permissions.o] Errore 1
[...]
   CC       set-permissions.o
set-permissions.c: In function 'set_acls':
set-permissions.c:496:7: error: #error Must have acl_delete_def_file 
(see POSIX 1003.1e draft 17).
  #     error Must have acl_delete_def_file (see POSIX 1003.1e draft 17).
        ^
set-permissions.c:534:7: warning: implicit declaration of function 
'acl_delete_def_file' [-Wimplicit-function-declaration]
        ret = acl_delete_def_file (name);
        ^
Makefile:1627: set di istruzioni per l'obiettivo "set-permissions.o" non 
riuscito
[...]

To build I used the same emacs-master.tar.gz file from git repo. I did 
successful builds with master more o less 10 days ago.

Ciao,
Angelo.